#!/usr/bin/perl -w
#
# gdel.cgi
#
# Remove a group from the /etc/groups file. 
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

use CGI;
use CGI::Carp qw/fatalsToBrowser/;
require '../layout.pl';
BEGIN { $ENV{'PATH'} = '/bin:/usr/bin'; }
# Check who user is
my @errors ;

push @errors, "Remote username could not be determined."
unless defined $ENV{'REMOTE_USER'};

my @user = getpwnam($ENV{'REMOTE_USER'}) or
push @errors, "User is not authorized for this service.";

push @errors, "You must enter a real name."
unless defined CGI::param('who') and CGI::param('who') ne '';

# Check for errors, abort if any found.

if (@errors) {
  print start_webfront("Confirmation","admin",4,-1);
  print CGI::h1((($#errors > 0) ? "Errors have" : "An error has")." been detected");
  print CGI::ul(CGI::li(\@errors));
  print CGI::p(CGI::i('Go <A HREF="userlist.cgi">back</A> and try again.'));
  print end_webfront();
  exit(1);
}

# Replace the etc/group file with new one
my $string = CGI::param('who');
my $passwd = "/etc/group";
my $tmpfile = "tmpfile.txt";
open (IN, $passwd);
open (OUT, ">$tmpfile");
while (my $line =<IN>){
	my @fields = split (":", $line);
	if ("$fields[0]" ne "$string"){
		print OUT $line;
	}
}
close IN;
close OUT;

system ("cp",$tmpfile, $passwd);
system ("rm",$tmpfile);
print start_webfront("Confirmation","admin",4,-1);
print CGI::h1("Operation was successful.");
print CGI::p('Click <A HREF="grouplist.cgi">here</A> to return.');
print end_webfront();                 

