#!/usr/bin/perl -w
#
# admin/grouplist.cgi
#
# Display administrator list of groups, with edit/remove buttons.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

use CGI;
use strict;
require '../layout.pl';
require '../common.pl';

my %groups = read_group();

# Add spaces to group member list

my $userlist;
for my $key (sort keys %groups) {
  my $value = $groups{$key};
  if ($$value[0] ne 'users' )
  {
    # Ensure no empty output fields
    if (not defined $$value[3]) { $$value[3] = '<I>No members</I>'; }
  
    # Add spaces to group member list
    $$value[3] =~ s/,/, /g;

    # Build the table element
    $userlist .= CGI::Tr({-align=>'center',-valign=>'middle',-bgcolor=>'#E4E4E4'},
                         CGI::td($$value[0]) . 
                         CGI::td($$value[3]) .
                         CGI::td(
     qq(<A HREF="/cgi-bin/corel/admin/gmain.cgi?who=$$value[0]">Edit</A>&nbsp;&nbsp;
        <A HREF="/cgi-bin/corel/admin/confirm_gdel.cgi?who=$$value[0]">Remove<A>)));
  }
}

print start_webfront("List of Groups","admin",1,0);

print <<EOF;
<table width="560" border="0" align="LEFT" valign="TOP" bgcolor="white">
 <TR BGCOLOR="WHITE">
  <td width="560" height="36" colspan="3" align="CENTER" valign="TOP">
   <IMG SRC="/images/admin/userdiaban.jpg"></td>
 </tr>
 <tr align="CENTER" valign="MIDDLE" bgcolor="NAVY">
  <td><font face="Arial" size="2" color="White"><b>Group Name</b></font></td>
  <td><font face="Arial" size="2" color="White"><b>Members</b></font></td>
  <td><font face="Arial" size="2" color="White"><b>Options</b></font></td>
</tr>
  $userlist
</table>
EOF

print end_webfront(); 
