#!/usr/bin/perl -w
#
# help.cgi
#
# Displays various help messages depending on the link chosen by user.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

use CGI;
use strict;

my $q = new CGI;
my $title = $q->param('title') || 'Unspecified title';
my $what = $q->param('what') || 'No help available';

# Here is the help database.

my %help = (

  'empty' => 'WebFront Version 1.0',
  # User-page help messages

  'uhome' => 'Visit the CCC NetWinder Help home page.', 
  'uusers' => 'Click here for a list of users on this system',
  'ugroups' => 'Click here for a list of groups on this system',
  'uaccount' => 'Click here to view your account info or change your password',
  'uadmin' => 'Click here to administer your NetWinder',

  'usettings' => 'Click here to modify your full name or change your password',
  'uwebcreate' => 'Click here to create a simple web page',

  # Admin-page help messages

  'ahome' => 'Visit the CCC NetWinder Help home page.', 
  'ausers' => 'Click here to add, edit or remove users from the system.',
  'agroups' => 'Click here to add, edit or remove groups from the system.',
  'astatistics' => 'Click here to view statistics about your webserver',
  'aparameters' => '(Unimplemented) Server parameters menu',

  'anewuser' => 'Click here to create a new user on your system',
  'anewgroup' => 'Click here to create a new group on your system',
);

# Look up the help message

my $message = $help{$what} || 'Welcome to WebFront';

print $q->header(-target=>'help'),
      $q->start_html(-bgcolor=>'white');
      
print $q->p({-align=>'center',-valign=>'center'},
        $q->table({-border=>2,-align=>'center',-valign=>'center'},
          $q->Tr($q->td($q->b("$message")))));

print $q->end_html();
